dlamch.f(3)

NAME
dlamch.f -

SYNOPSIS

  Functions/Subroutines
DOUBLE PRECISION function DLAMCH (CMACH)
DLAMCH
DOUBLE PRECISION function DLAMC3 (A, B)
DLAMC3

Function/Subroutine Documentation

  DOUBLE PRECISION function DLAMC3 (DOUBLE PRECISIONA, DOUBLE PRECISIONB)

DLAMC3 Purpose:

 DLAMC3  is intended to force  A  and  B  to be stored prior to doing
 the addition of  A  and  B ,  for use in situations where optimizers
 might hold one of these in a register.

Author:
    LAPACK is a software package provided by Univ'. of Tennessee, Univ'. of California Berkeley, Univ'. of Colorado Denver and NAG Ltd'.'.

Date:
    November 2011

Parameters:
    A

              A is a DOUBLE PRECISION

    B

              B is a DOUBLE PRECISION
              The values A and B.

Definition at line 172 of file dlamch.f'.

  DOUBLE PRECISION function DLAMCH (CHARACTERCMACH)

DLAMCH Purpose:

     DLAMCH determines double precision machine parameters.

Parameters:
    CMACH

              Specifies the value to be returned by DLAMCH:
              = 'E' or 'e',   DLAMCH := eps
              = 'S' or 's ,   DLAMCH := sfmin
              = 'B' or 'b',   DLAMCH := base
              = 'P' or 'p',   DLAMCH := eps*base
              = 'N' or 'n',   DLAMCH := t
              = 'R' or 'r',   DLAMCH := rnd
              = 'M' or 'm',   DLAMCH := emin
              = 'U' or 'u',   DLAMCH := rmin
              = 'L' or 'l',   DLAMCH := emax
              = 'O' or 'o',   DLAMCH := rmax
              where
              eps   = relative machine precision
              sfmin = safe minimum, such that 1/sfmin does not overflow
              base  = base of the machine
              prec  = eps*base
              t     = number of (base) digits in the mantissa
              rnd   = 1.0 when rounding occurs in addition, 0.0 otherwise
              emin  = minimum exponent before (gradual) underflow
              rmin  = underflow threshold - base**(emin-1)
              emax  = largest exponent before overflow
              rmax  = overflow threshold  - (base**emax)*(1-eps)

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 64 of file dlamch.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.